curl --request PATCH \ --url https://api.ubpass.co/v1/wallet-pass/notifications/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "notificationName": "VIP Member Update - Enhanced", "notificationMessage": "Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.", "status": "Scheduled", "scheduledTime": "2025-09-05T10:00:00.000Z"}EOF
import requests
url = "https://api.ubpass.co/v1/wallet-pass/notifications/{id}"
payload = {
"notificationName": "VIP Member Update - Enhanced",
"notificationMessage": "Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.",
"status": "Scheduled",
"scheduledTime": "2025-09-05T10:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notificationName: 'VIP Member Update - Enhanced',
notificationMessage: 'Your VIP membership benefits have been updated with new exclusive offers! Don\'t miss out on the latest deals.',
status: 'Scheduled',
scheduledTime: '2025-09-05T10:00:00.000Z'
})
};
fetch('https://api.ubpass.co/v1/wallet-pass/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ubpass.co/v1/wallet-pass/notifications/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'notificationName' => 'VIP Member Update - Enhanced',
'notificationMessage' => 'Your VIP membership benefits have been updated with new exclusive offers! Don\'t miss out on the latest deals.',
'status' => 'Scheduled',
'scheduledTime' => '2025-09-05T10:00:00.000Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ubpass.co/v1/wallet-pass/notifications/{id}"
payload := strings.NewReader("{\n \"notificationName\": \"VIP Member Update - Enhanced\",\n \"notificationMessage\": \"Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.\",\n \"status\": \"Scheduled\",\n \"scheduledTime\": \"2025-09-05T10:00:00.000Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.patch("https://api.ubpass.co/v1/wallet-pass/notifications/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"notificationName\": \"VIP Member Update - Enhanced\",\n \"notificationMessage\": \"Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.\",\n \"status\": \"Scheduled\",\n \"scheduledTime\": \"2025-09-05T10:00:00.000Z\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.ubpass.co/v1/wallet-pass/notifications/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"notificationName\": \"VIP Member Update - Enhanced\",\n \"notificationMessage\": \"Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.\",\n \"status\": \"Scheduled\",\n \"scheduledTime\": \"2025-09-05T10:00:00.000Z\"\n}"
response = http.request(request)
puts response.read_body
{ "id": "1f089d37-5ebe-6778-af59-99631cec7ab5", "createdTime": "2025-09-04T21:09:36.027Z", "updatedTime": "2025-09-04T21:15:42.123Z", "createdBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2", "updatedBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2", "workspaceId": "1f089d29-6f9c-66c2-af59-99631cec7ab5", "accountId": "1f089d29-6fa8-6a13-af59-99631cec7ab5", "passSerialNumber": "1f09804f-d6c7-66ec-8db2-27a5651e1de2", "notificationName": "VIP Member Update - Enhanced", "notificationMessage": "Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.", "status": "Scheduled", "scheduledTime": "2025-09-05T10:00:00.000Z", "sentTime": null}
{
"txId": "1f098faa-8f33-6425-b4ff-533200846d35",
"timestamp": "24-09-2025 03:57:59",
"errorCode": "INVALID_INPUT",
"context": {
"notificationMessage": "must not be empty"
}
}
Update wallet pass notification. Only Draft or Scheduled notifications can be updated.
Status Changes:
Change from Draft to Processing for immediate delivery
Change from Draft to Scheduled for future delivery
Update Scheduled notifications to change delivery time or content
Scheduling Notes:
Scheduled notifications are processed every 15 minutes
Delivery may occur within 15 minutes of the scheduled time
Once a notification is Processing or Published, it cannot be updated
PATCH
/
wallet-pass
/
notifications
/
{id}
Update wallet pass notification
curl --request PATCH \ --url https://api.ubpass.co/v1/wallet-pass/notifications/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data @- <<EOF{ "notificationName": "VIP Member Update - Enhanced", "notificationMessage": "Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.", "status": "Scheduled", "scheduledTime": "2025-09-05T10:00:00.000Z"}EOF
import requests
url = "https://api.ubpass.co/v1/wallet-pass/notifications/{id}"
payload = {
"notificationName": "VIP Member Update - Enhanced",
"notificationMessage": "Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.",
"status": "Scheduled",
"scheduledTime": "2025-09-05T10:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notificationName: 'VIP Member Update - Enhanced',
notificationMessage: 'Your VIP membership benefits have been updated with new exclusive offers! Don\'t miss out on the latest deals.',
status: 'Scheduled',
scheduledTime: '2025-09-05T10:00:00.000Z'
})
};
fetch('https://api.ubpass.co/v1/wallet-pass/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ubpass.co/v1/wallet-pass/notifications/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'notificationName' => 'VIP Member Update - Enhanced',
'notificationMessage' => 'Your VIP membership benefits have been updated with new exclusive offers! Don\'t miss out on the latest deals.',
'status' => 'Scheduled',
'scheduledTime' => '2025-09-05T10:00:00.000Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ubpass.co/v1/wallet-pass/notifications/{id}"
payload := strings.NewReader("{\n \"notificationName\": \"VIP Member Update - Enhanced\",\n \"notificationMessage\": \"Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.\",\n \"status\": \"Scheduled\",\n \"scheduledTime\": \"2025-09-05T10:00:00.000Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.patch("https://api.ubpass.co/v1/wallet-pass/notifications/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"notificationName\": \"VIP Member Update - Enhanced\",\n \"notificationMessage\": \"Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.\",\n \"status\": \"Scheduled\",\n \"scheduledTime\": \"2025-09-05T10:00:00.000Z\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.ubpass.co/v1/wallet-pass/notifications/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"notificationName\": \"VIP Member Update - Enhanced\",\n \"notificationMessage\": \"Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.\",\n \"status\": \"Scheduled\",\n \"scheduledTime\": \"2025-09-05T10:00:00.000Z\"\n}"
response = http.request(request)
puts response.read_body
{ "id": "1f089d37-5ebe-6778-af59-99631cec7ab5", "createdTime": "2025-09-04T21:09:36.027Z", "updatedTime": "2025-09-04T21:15:42.123Z", "createdBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2", "updatedBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2", "workspaceId": "1f089d29-6f9c-66c2-af59-99631cec7ab5", "accountId": "1f089d29-6fa8-6a13-af59-99631cec7ab5", "passSerialNumber": "1f09804f-d6c7-66ec-8db2-27a5651e1de2", "notificationName": "VIP Member Update - Enhanced", "notificationMessage": "Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.", "status": "Scheduled", "scheduledTime": "2025-09-05T10:00:00.000Z", "sentTime": null}
{
"txId": "1f098faa-8f33-6425-b4ff-533200846d35",
"timestamp": "24-09-2025 03:57:59",
"errorCode": "INVALID_INPUT",
"context": {
"notificationMessage": "must not be empty"
}
}
Notification message. For Apple passes, this message will be displayed on the lock screen when a notification is sent to the pass. For Google passes, this message will be displayed at the back of the pass when a notification is sent to the pass.
Notification status: Draft: Notification will not be sent until the status is changed to Scheduled or ProcessingScheduled: Notification is scheduled to be sent at a specific time. Processing: Notification is being sent. Published: Notification has been sent.Failed: Notification failed to be sent. If the status is not specified at the time of creation, it will be sent immediately.
Notification message. For Apple passes, this message will be displayed on the lock screen when a notification is sent to the pass. For Google passes, this message will be displayed at the back of the pass when a notification is sent to the pass.
Notification status: Draft: Notification will not be sent until the status is changed to Scheduled or ProcessingScheduled: Notification is scheduled to be sent at a specific time. Processing: Notification is being sent. Published: Notification has been sent.Failed: Notification failed to be sent. If the status is not specified at the time of creation, it will be sent immediately.
stats for the notification, it contains the total number of notifications sent and link stats.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Passport API Documentation","colors":{"primary":"#367CFF","light":"#367CFF","dark":"#367CFF"},"logo":{"light":"https://mintcdn.com/unblockedbrands/gtu0hwK9wYwAN1IU/logo/light.svg?fit=max\u0026auto=format\u0026n=gtu0hwK9wYwAN1IU\u0026q=85\u0026s=fc2bc30f86e845dd67e4eca1fec434c6","dark":"https://mintcdn.com/unblockedbrands/gtu0hwK9wYwAN1IU/logo/dark.svg?fit=max\u0026auto=format\u0026n=gtu0hwK9wYwAN1IU\u0026q=85\u0026s=f887f568cf687c7f9408bf840743c063"},"favicon":"/favicon.svg","navbar":{"links":[{"href":"mailto:hi@mintlify.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.mintlify.com"}},"footer":{"socials":{"x":"https://x.com/mintlify","github":"https://github.com/mintlify","linkedin":"https://linkedin.com/company/mintlify"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"unblockedbrands","hasAudioNarration":false,"actualSubdomain":"unblockedbrands","customDomains":["docs.unblockedbrands.com"],"gitSource":{"type":"github","owner":"unblockedbrands","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21e717044dd579e9b5887a","collectionId":"0b52f758-f035-4abd-b09e-b99526d85f78","schemaVersion":"v2"},"entitlements":{},"buildId":"6a21e717044dd579e9b5887a:success","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"API Reference","count":27},{"language":"default","tag":"Passport - Push Notifications","count":6},{"language":"default","tag":"Passport - Locations","count":5},{"language":"default","tag":"Passport - Passes","count":5},{"language":"default","tag":"Pique","count":5},{"language":"default","tag":"Upload APIs","count":4},{"language":"default","tag":"Getting Started","count":2}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/passport--push-notifications/update-wallet-pass-notification","slug":"/api-reference/passport--push-notifications/update-wallet-pass-notification","pageMetadata":{"title":"Update wallet pass notification","description":"Update wallet pass notification. Only Draft or Scheduled notifications can be updated.\n\n**Status Changes:**\n- Change from `Draft` to `Processing` for immediate delivery\n- Change from `Draft` to `Scheduled` for future delivery\n- Update `Scheduled` notifications to change delivery time or content\n\n**Scheduling Notes:**\n- Scheduled notifications are processed every 15 minutes\n- Delivery may occur within 15 minutes of the scheduled time\n- Once a notification is `Processing` or `Published`, it cannot be updated\n","deprecated":null,"version":null,"openapi":"api-reference/openapi.json patch /wallet-pass/notifications/{id}","href":"/api-reference/passport--push-notifications/update-wallet-pass-notification","autogeneratedByOpenApi":true,"hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n li: \"li\",\n p: \"p\",\n strong: \"strong\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Update wallet pass notification. Only Draft or Scheduled notifications can be updated.\"\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Status Changes:\"\n })\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Change from \", _jsx(_components.code, {\n children: \"Draft\"\n }), \" to \", _jsx(_components.code, {\n children: \"Processing\"\n }), \" for immediate delivery\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Change from \", _jsx(_components.code, {\n children: \"Draft\"\n }), \" to \", _jsx(_components.code, {\n children: \"Scheduled\"\n }), \" for future delivery\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Update \", _jsx(_components.code, {\n children: \"Scheduled\"\n }), \" notifications to change delivery time or content\"]\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Scheduling Notes:\"\n })\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"Scheduled notifications are processed every 15 minutes\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"Delivery may occur within 15 minutes of the scheduled time\"\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"Once a notification is \", _jsx(_components.code, {\n children: \"Processing\"\n }), \" or \", _jsx(_components.code, {\n children: \"Published\"\n }), \", it cannot be updated\"]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update wallet pass notification","description":"Update wallet pass notification. Only Draft or Scheduled notifications can be updated.\n\n**Status Changes:**\n- Change from `Draft` to `Processing` for immediate delivery\n- Change from `Draft` to `Scheduled` for future delivery\n- Update `Scheduled` notifications to change delivery time or content\n\n**Scheduling Notes:**\n- Scheduled notifications are processed every 15 minutes\n- Delivery may occur within 15 minutes of the scheduled time\n- Once a notification is `Processing` or `Published`, it cannot be updated\n","deprecated":null,"version":null,"openapi":"api-reference/openapi.json patch /wallet-pass/notifications/{id}","href":"/api-reference/passport--push-notifications/update-wallet-pass-notification","autogeneratedByOpenApi":true,"hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Passport - Push Notifications"],"summary":"Update wallet pass notification","description":"Update wallet pass notification. Only Draft or Scheduled notifications can be updated.\n\n**Status Changes:**\n- Change from `Draft` to `Processing` for immediate delivery\n- Change from `Draft` to `Scheduled` for future delivery\n- Update `Scheduled` notifications to change delivery time or content\n\n**Scheduling Notes:**\n- Scheduled notifications are processed every 15 minutes\n- Delivery may occur within 15 minutes of the scheduled time\n- Once a notification is `Processing` or `Published`, it cannot be updated\n","operationId":"updatePassNotification","parameters":["83d6fe54-d005-4ceb-a27c-80271f8587d4","d7a38af2-fdc1-4123-a022-a27284123d72"],"requestBody":"a670d02e-fc3e-4218-a093-7b8a198261ce","responses":{"200":"e7c95e06-52bd-4507-ab84-c90d550acf62","400":"81c5fd45-be50-4dc8-aae9-77c14910a7fd","401":"4b70f257-40ad-4b3e-95b8-66c47deba1dd","404":"53e1da3f-536a-45f8-ac2f-15ce485179b4"},"method":"patch","type":"path","servers":["941c2dd2-5001-4bd3-a6cc-ef4009c675b7"],"security":["60d1a0e8-d1e9-4094-9d51-48bba759de68","407649c1-ed42-4564-8023-b8cd627cbd0c"],"path":"/wallet-pass/notifications/{id}","baseUrlOptions":["https://api.ubpass.co/v1"],"title":"Update wallet pass notification","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"83d6fe54-d005-4ceb-a27c-80271f8587d4":{"name":"x-workspace-id","in":"header","description":"Workspace ID to perform the operation in. If not provided, system will use the first one assigned to the user","required":false,"schema":{"type":"string","pattern":"^[a-zA-Z0-9-_]+$","isRequired":false,"description":"Workspace ID to perform the operation in. If not provided, system will use the first one assigned to the user","uniqueKey":"","typeLabel":"string"},"example":"1f089d29-6f9c-66c2-af59-99631cec7ab5"},"d7a38af2-fdc1-4123-a022-a27284123d72":{"name":"id","in":"path","description":"Unique identifier of the notification to update","required":true,"schema":{"type":"string","pattern":"^[a-zA-Z0-9-_]+$","isRequired":true,"description":"Unique identifier of the notification to update","uniqueKey":"","typeLabel":"string"},"example":"1f089d37-5ebe-6778-af59-99631cec7ab5"}},"requestBody":{"description":"Updated notification data including message content and scheduling options","content":{"application/json":{"schema":{"type":"object","properties":{"passSerialNumber":{"type":"string","description":"Wallet pass id to which the notification belongs.","isRequired":true,"uniqueKey":"passSerialNumber","typeLabel":"string"},"notificationName":{"type":"string","description":"Notification name. This is will not appear on pass, it's used internally to identify the notification.","isRequired":true,"uniqueKey":"notificationName","typeLabel":"string"},"id":{"type":"string","uniqueKey":"id","typeLabel":"string"},"createdTime":{"type":"string","format":"date-time","description":"The time when the entity was created in ISO 8601 format including milliseconds and timezone offset.","example":"2025-05-13T15:07:15.036Z","uniqueKey":"createdTime","typeLabel":"string\u003cdate-time>"},"updatedTime":{"type":"string","format":"date-time","description":"The time when the entity was last updated in ISO 8601 format including milliseconds and timezone offset.","example":"2025-05-13T15:07:15.036Z","uniqueKey":"updatedTime","typeLabel":"string\u003cdate-time>"},"createdBy":{"type":"string","description":"The user who created the entity.","uniqueKey":"createdBy","typeLabel":"string"},"updatedBy":{"type":"string","description":"The user who last updated the entity.","uniqueKey":"updatedBy","typeLabel":"string"},"workspaceId":{"type":"string","description":"workspace id to which the notification belongs.","uniqueKey":"workspaceId","typeLabel":"string"},"notificationMessage":{"type":"string","description":"Notification message. For Apple passes, this message will be displayed on the lock screen when a notification is sent to the pass. For Google passes, this message will be displayed at the back of the pass when a notification is sent to the pass.","uniqueKey":"notificationMessage","typeLabel":"string"},"status":{"type":"string","description":"Notification status: Draft: Notification will not be sent until the status is changed to Scheduled or ProcessingScheduled: Notification is scheduled to be sent at a specific time. Processing: Notification is being sent. Published: Notification has been sent.Failed: Notification failed to be sent. If the status is not specified at the time of creation, it will be sent immediately.","enum":["Draft","Initializing","Processing","Finalizing","Published","Scheduled","AppleFailedGoogleSuccess","AppleSuccessGoogleFailed","Failed"],"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"publishedTime":{"type":"string","format":"date-time","description":"Time when the notification was sent in ISO 8601 format including milliseconds and timezone offset.","uniqueKey":"publishedTime","typeLabel":"string\u003cdate-time>"},"scheduledTime":{"type":"string","format":"date-time","description":"Time when the notification will be sent in ISO 8601 format including milliseconds and timezone offset.","uniqueKey":"scheduledTime","typeLabel":"string\u003cdate-time>"},"appleNotificationSentCount":{"type":"integer","format":"int32","description":"Number of active users who have received this notification on their Apple Wallets.","uniqueKey":"appleNotificationSentCount","typeLabel":"integer\u003cint32>"},"googleNotificationSentCount":{"type":"integer","format":"int32","description":"Number of active users who have received this notification on their Google Wallets.","uniqueKey":"googleNotificationSentCount","typeLabel":"integer\u003cint32>"},"totalNotificationSentCount":{"type":"integer","format":"int32","description":"Total number of active users who have received this notification on their wallets (Apple + Google).","uniqueKey":"totalNotificationSentCount","typeLabel":"integer\u003cint32>"},"notificationStats":{"type":"object","properties":{"id":{"type":"string","uniqueKey":"notificationStats.id","typeLabel":"string"},"createdTime":{"type":"string","format":"date-time","description":"The time when the entity was created in ISO 8601 format including milliseconds and timezone offset.","example":"2025-05-13T15:07:15.036Z","uniqueKey":"notificationStats.createdTime","typeLabel":"string\u003cdate-time>"},"updatedTime":{"type":"string","format":"date-time","description":"The time when the entity was last updated in ISO 8601 format including milliseconds and timezone offset.","example":"2025-05-13T15:07:15.036Z","uniqueKey":"notificationStats.updatedTime","typeLabel":"string\u003cdate-time>"},"createdBy":{"type":"string","description":"The user who created the entity.","uniqueKey":"notificationStats.createdBy","typeLabel":"string"},"updatedBy":{"type":"string","description":"The user who last updated the entity.","uniqueKey":"notificationStats.updatedBy","typeLabel":"string"},"workspaceId":{"type":"string","description":"The ID of the workspace to which this entity belongs.","uniqueKey":"notificationStats.workspaceId","typeLabel":"string"},"totalNotificationsSent":{"type":"integer","format":"int32","uniqueKey":"notificationStats.totalNotificationsSent","typeLabel":"integer\u003cint32>"},"totalLinksClicks":{"type":"integer","format":"int32","uniqueKey":"notificationStats.totalLinksClicks","typeLabel":"integer\u003cint32>"},"linkStats":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].id","typeLabel":"string"},"createdTime":{"type":"string","format":"date-time","description":"The time when the entity was created in ISO 8601 format including milliseconds and timezone offset.","example":"2025-05-13T15:07:15.036Z","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].createdTime","typeLabel":"string\u003cdate-time>"},"updatedTime":{"type":"string","format":"date-time","description":"The time when the entity was last updated in ISO 8601 format including milliseconds and timezone offset.","example":"2025-05-13T15:07:15.036Z","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].updatedTime","typeLabel":"string\u003cdate-time>"},"createdBy":{"type":"string","description":"The user who created the entity.","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].createdBy","typeLabel":"string"},"updatedBy":{"type":"string","description":"The user who last updated the entity.","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].updatedBy","typeLabel":"string"},"workspaceId":{"type":"string","description":"The ID of the workspace to which this entity belongs.","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].workspaceId","typeLabel":"string"},"linkUrl":{"type":"string","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].linkUrl","typeLabel":"string"},"totalClicks":{"type":"integer","format":"int32","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].totalClicks","typeLabel":"integer\u003cint32>"}},"uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX]","typeLabel":"object"},"uniqueKey":"notificationStats.linkStats.\\items","typeLabel":"object[]"},"cursor":{"type":"string","uniqueKey":"notificationStats.linkStats.cursor","typeLabel":"string"},"hasMore":{"type":"boolean","uniqueKey":"notificationStats.linkStats.hasMore","typeLabel":"boolean"}},"uniqueKey":"notificationStats.linkStats","typeLabel":"object"}},"description":"stats for the notification, it contains the total number of notifications sent and link stats.","uniqueKey":"notificationStats","typeLabel":"object"}},"required":["notificationName","passSerialNumber"],"uniqueKey":"","typeLabel":"object"},"examples":{"Update Notification Request":{"title":"Update Notification Request","description":"Update Notification Request","value":{"notificationName":"VIP Member Update - Enhanced","notificationMessage":"Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.","status":"Scheduled","scheduledTime":"2025-09-05T10:00:00.000Z"}}},"exampleType":"examples"}},"required":true,"exampleType":"examples"},"responses":{"e7c95e06-52bd-4507-ab84-c90d550acf62":{"description":"Notification updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"passSerialNumber":{"type":"string","description":"Wallet pass id to which the notification belongs.","isRequired":true,"uniqueKey":"passSerialNumber","typeLabel":"string"},"notificationName":{"type":"string","description":"Notification name. This is will not appear on pass, it's used internally to identify the notification.","isRequired":true,"uniqueKey":"notificationName","typeLabel":"string"},"id":{"type":"string","uniqueKey":"id","typeLabel":"string"},"createdTime":{"type":"string","format":"date-time","description":"The time when the entity was created in ISO 8601 format including milliseconds and timezone offset.","example":"2025-05-13T15:07:15.036Z","uniqueKey":"createdTime","typeLabel":"string\u003cdate-time>"},"updatedTime":{"type":"string","format":"date-time","description":"The time when the entity was last updated in ISO 8601 format including milliseconds and timezone offset.","example":"2025-05-13T15:07:15.036Z","uniqueKey":"updatedTime","typeLabel":"string\u003cdate-time>"},"createdBy":{"type":"string","description":"The user who created the entity.","uniqueKey":"createdBy","typeLabel":"string"},"updatedBy":{"type":"string","description":"The user who last updated the entity.","uniqueKey":"updatedBy","typeLabel":"string"},"workspaceId":{"type":"string","description":"workspace id to which the notification belongs.","uniqueKey":"workspaceId","typeLabel":"string"},"notificationMessage":{"type":"string","description":"Notification message. For Apple passes, this message will be displayed on the lock screen when a notification is sent to the pass. For Google passes, this message will be displayed at the back of the pass when a notification is sent to the pass.","uniqueKey":"notificationMessage","typeLabel":"string"},"status":{"type":"string","description":"Notification status: Draft: Notification will not be sent until the status is changed to Scheduled or ProcessingScheduled: Notification is scheduled to be sent at a specific time. Processing: Notification is being sent. Published: Notification has been sent.Failed: Notification failed to be sent. If the status is not specified at the time of creation, it will be sent immediately.","enum":["Draft","Initializing","Processing","Finalizing","Published","Scheduled","AppleFailedGoogleSuccess","AppleSuccessGoogleFailed","Failed"],"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"publishedTime":{"type":"string","format":"date-time","description":"Time when the notification was sent in ISO 8601 format including milliseconds and timezone offset.","uniqueKey":"publishedTime","typeLabel":"string\u003cdate-time>"},"scheduledTime":{"type":"string","format":"date-time","description":"Time when the notification will be sent in ISO 8601 format including milliseconds and timezone offset.","uniqueKey":"scheduledTime","typeLabel":"string\u003cdate-time>"},"appleNotificationSentCount":{"type":"integer","format":"int32","description":"Number of active users who have received this notification on their Apple Wallets.","uniqueKey":"appleNotificationSentCount","typeLabel":"integer\u003cint32>"},"googleNotificationSentCount":{"type":"integer","format":"int32","description":"Number of active users who have received this notification on their Google Wallets.","uniqueKey":"googleNotificationSentCount","typeLabel":"integer\u003cint32>"},"totalNotificationSentCount":{"type":"integer","format":"int32","description":"Total number of active users who have received this notification on their wallets (Apple + Google).","uniqueKey":"totalNotificationSentCount","typeLabel":"integer\u003cint32>"},"notificationStats":{"type":"object","properties":{"id":{"type":"string","uniqueKey":"notificationStats.id","typeLabel":"string"},"createdTime":{"type":"string","format":"date-time","description":"The time when the entity was created in ISO 8601 format including milliseconds and timezone offset.","example":"2025-05-13T15:07:15.036Z","uniqueKey":"notificationStats.createdTime","typeLabel":"string\u003cdate-time>"},"updatedTime":{"type":"string","format":"date-time","description":"The time when the entity was last updated in ISO 8601 format including milliseconds and timezone offset.","example":"2025-05-13T15:07:15.036Z","uniqueKey":"notificationStats.updatedTime","typeLabel":"string\u003cdate-time>"},"createdBy":{"type":"string","description":"The user who created the entity.","uniqueKey":"notificationStats.createdBy","typeLabel":"string"},"updatedBy":{"type":"string","description":"The user who last updated the entity.","uniqueKey":"notificationStats.updatedBy","typeLabel":"string"},"workspaceId":{"type":"string","description":"The ID of the workspace to which this entity belongs.","uniqueKey":"notificationStats.workspaceId","typeLabel":"string"},"totalNotificationsSent":{"type":"integer","format":"int32","uniqueKey":"notificationStats.totalNotificationsSent","typeLabel":"integer\u003cint32>"},"totalLinksClicks":{"type":"integer","format":"int32","uniqueKey":"notificationStats.totalLinksClicks","typeLabel":"integer\u003cint32>"},"linkStats":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].id","typeLabel":"string"},"createdTime":{"type":"string","format":"date-time","description":"The time when the entity was created in ISO 8601 format including milliseconds and timezone offset.","example":"2025-05-13T15:07:15.036Z","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].createdTime","typeLabel":"string\u003cdate-time>"},"updatedTime":{"type":"string","format":"date-time","description":"The time when the entity was last updated in ISO 8601 format including milliseconds and timezone offset.","example":"2025-05-13T15:07:15.036Z","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].updatedTime","typeLabel":"string\u003cdate-time>"},"createdBy":{"type":"string","description":"The user who created the entity.","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].createdBy","typeLabel":"string"},"updatedBy":{"type":"string","description":"The user who last updated the entity.","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].updatedBy","typeLabel":"string"},"workspaceId":{"type":"string","description":"The ID of the workspace to which this entity belongs.","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].workspaceId","typeLabel":"string"},"linkUrl":{"type":"string","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].linkUrl","typeLabel":"string"},"totalClicks":{"type":"integer","format":"int32","uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX].totalClicks","typeLabel":"integer\u003cint32>"}},"uniqueKey":"notificationStats.linkStats.\\items.items.[INDEX]","typeLabel":"object"},"uniqueKey":"notificationStats.linkStats.\\items","typeLabel":"object[]"},"cursor":{"type":"string","uniqueKey":"notificationStats.linkStats.cursor","typeLabel":"string"},"hasMore":{"type":"boolean","uniqueKey":"notificationStats.linkStats.hasMore","typeLabel":"boolean"}},"uniqueKey":"notificationStats.linkStats","typeLabel":"object"}},"description":"stats for the notification, it contains the total number of notifications sent and link stats.","uniqueKey":"notificationStats","typeLabel":"object"}},"required":["notificationName","passSerialNumber"],"uniqueKey":"","typeLabel":"object"},"examples":{"Updated Notification Response":{"title":"Updated Notification Response","description":"Updated Notification Response","value":{"id":"1f089d37-5ebe-6778-af59-99631cec7ab5","createdTime":"2025-09-04T21:09:36.027Z","updatedTime":"2025-09-04T21:15:42.123Z","createdBy":"1ef58ae6-40ac-6fd2-96af-45801844c4e2","updatedBy":"1ef58ae6-40ac-6fd2-96af-45801844c4e2","workspaceId":"1f089d29-6f9c-66c2-af59-99631cec7ab5","accountId":"1f089d29-6fa8-6a13-af59-99631cec7ab5","passSerialNumber":"1f09804f-d6c7-66ec-8db2-27a5651e1de2","notificationName":"VIP Member Update - Enhanced","notificationMessage":"Your VIP membership benefits have been updated with new exclusive offers! Don't miss out on the latest deals.","status":"Scheduled","scheduledTime":"2025-09-05T10:00:00.000Z","sentTime":null}}},"exampleType":"examples"}},"exampleType":"examples"},"81c5fd45-be50-4dc8-aae9-77c14910a7fd":{"description":"Bad Request - Invalid input data","content":{"application/json":{"schema":{"type":"object","properties":{"txId":{"type":"string","uniqueKey":"txId","typeLabel":"string"},"timestamp":{"type":"string","format":"date-time","uniqueKey":"timestamp","typeLabel":"string\u003cdate-time>"},"errorCode":{"type":"string","uniqueKey":"errorCode","typeLabel":"string"},"errorMessage":{"type":"string","uniqueKey":"errorMessage","typeLabel":"string"},"context":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"context.additionalProperties","typeLabel":"any"},"uniqueKey":"context","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Bad Request Error":{"title":"Bad Request Error","description":"Bad Request Error","value":{"txId":"1f098faa-8f33-6425-b4ff-533200846d35","timestamp":"24-09-2025 03:57:59","errorCode":"INVALID_INPUT","context":{"notificationMessage":"must not be empty"}}}},"exampleType":"examples"}},"exampleType":"examples"},"4b70f257-40ad-4b3e-95b8-66c47deba1dd":{"description":"Unauthorized - Invalid or missing authentication","content":{"application/json":{"schema":{"type":"object","properties":{"txId":{"type":"string","uniqueKey":"txId","typeLabel":"string"},"timestamp":{"type":"string","format":"date-time","uniqueKey":"timestamp","typeLabel":"string\u003cdate-time>"},"errorCode":{"type":"string","uniqueKey":"errorCode","typeLabel":"string"},"errorMessage":{"type":"string","uniqueKey":"errorMessage","typeLabel":"string"},"context":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"context.additionalProperties","typeLabel":"any"},"uniqueKey":"context","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Unauthorized Error":{"title":"Unauthorized Error","description":"Unauthorized Error","value":{"txId":"Root=1-68d3693c-26a3db2278c7668f5e086711","timestamp":"24-09-2025 03:45:00","errorCode":"UNAUTHORIZED","errorMessage":"UNAUTHORIZED."}}},"exampleType":"examples"}},"exampleType":"examples"},"53e1da3f-536a-45f8-ac2f-15ce485179b4":{"description":"Not Found - Notification ID not found","content":{"application/json":{"schema":{"type":"object","properties":{"txId":{"type":"string","uniqueKey":"txId","typeLabel":"string"},"timestamp":{"type":"string","format":"date-time","uniqueKey":"timestamp","typeLabel":"string\u003cdate-time>"},"errorCode":{"type":"string","uniqueKey":"errorCode","typeLabel":"string"},"errorMessage":{"type":"string","uniqueKey":"errorMessage","typeLabel":"string"},"context":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"context.additionalProperties","typeLabel":"any"},"uniqueKey":"context","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Not Found Error":{"title":"Not Found Error","description":"Not Found Error","value":{"txId":"1f098fa9-3786-64d4-b4ff-533200846d35","timestamp":"24-09-2025 03:57:23","errorCode":"NOT_FOUND","errorMessage":"Not found.","context":{"id":"1f083424-11ed-617f-9513-1b26dc975ee2"}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"60d1a0e8-d1e9-4094-9d51-48bba759de68":{"AccessToken":{"type":"http","description":"Bearer token authentication","scheme":"bearer","bearerFormat":"JWT","scopes":[]}},"407649c1-ed42-4564-8023-b8cd627cbd0c":{"APIKey":{"type":"apiKey","description":"API Key authentication","name":"api-key","in":"header","scopes":[]}}},"servers":{"941c2dd2-5001-4bd3-a6cc-ef4009c675b7":{"url":"https://api.ubpass.co/v1","description":"Generated server url"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","description":"Bearer token authentication","scheme":"bearer","bearerFormat":"JWT","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer token authentication","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"AccessToken","name":"Authorization"}],"title":"AccessToken"},{"schemes":[{"scheme":{"type":"apiKey","description":"API Key authentication","name":"api-key","in":"header","scopes":[]},"schema":{"title":"api-key","type":"string","description":"API Key authentication","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"APIKey","name":"api-key"}],"title":"APIKey"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"unblockedbrands","siteName":"Passport API Documentation","title":"Update wallet pass notification - Passport API Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-11-17T07:56:08.383Z","originalFileLocation":"api-reference/passport--push-notifications/update-wallet-pass-notification.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update wallet pass notification. Only Draft or Scheduled notifications can be updated. Status Changes: - Change from Draft to Processing for immediate delivery - Change from Draft to Scheduled for future delivery - Update Scheduled notifications to change delivery time or content Scheduling Notes: - Scheduled notifications are processed every 15 minutes - Delivery may occur within 15 minutes of the scheduled time - Once a notification is Processing or Published, it cannot be updated\">\u003cmeta data-mint-head name=\"application-name\" content=\"Passport API Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/unblockedbrands/QG6AMyWUHQwPSq9P/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/unblockedbrands/QG6AMyWUHQwPSq9P/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/unblockedbrands/QG6AMyWUHQwPSq9P/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/unblockedbrands/QG6AMyWUHQwPSq9P/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/unblockedbrands/QG6AMyWUHQwPSq9P/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/unblockedbrands/QG6AMyWUHQwPSq9P/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/unblockedbrands/QG6AMyWUHQwPSq9P/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/unblockedbrands/QG6AMyWUHQwPSq9P/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/unblockedbrands/QG6AMyWUHQwPSq9P/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update wallet pass notification - Passport API Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update wallet pass notification. Only Draft or Scheduled notifications can be updated. Status Changes: - Change from Draft to Processing for immediate delivery - Change from Draft to Scheduled for future delivery - Update Scheduled notifications to change delivery time or content Scheduling Notes: - Scheduled notifications are processed every 15 minutes - Delivery may occur within 15 minutes of the scheduled time - Once a notification is Processing or Published, it cannot be updated\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Passport API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.unblockedbrands.com/api-reference/passport--push-notifications/update-wallet-pass-notification\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://unblockedbrands.mintlify.app/_mintlify/api/og/v2?division=Passport+-+Push+Notifications\u0026amp;title=Update+wallet+pass+notification\u0026amp;description=Update+wallet+pass+notification.+Only+Draft+or+Scheduled+notifications+can+be+updated.%0A%0A**Status+Changes%3A**%0A-+Change+from+%60Draft%60+to+%60Processing%60+for+immediate+\u0026amp;theme=dda4ad265c91f7b9b402560c\u0026amp;signature=a6e89726c8b8e1a1538a405cbb62f1e5b5fb3a327bb38dc5dc7ac1b740d2bad0\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update wallet pass notification - Passport API Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update wallet pass notification. Only Draft or Scheduled notifications can be updated. Status Changes: - Change from Draft to Processing for immediate delivery - Change from Draft to Scheduled for future delivery - Update Scheduled notifications to change delivery time or content Scheduling Notes: - Scheduled notifications are processed every 15 minutes - Delivery may occur within 15 minutes of the scheduled time - Once a notification is Processing or Published, it cannot be updated\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://unblockedbrands.mintlify.app/_mintlify/api/og/v2?division=Passport+-+Push+Notifications\u0026amp;title=Update+wallet+pass+notification\u0026amp;description=Update+wallet+pass+notification.+Only+Draft+or+Scheduled+notifications+can+be+updated.%0A%0A**Status+Changes%3A**%0A-+Change+from+%60Draft%60+to+%60Processing%60+for+immediate+\u0026amp;theme=dda4ad265c91f7b9b402560c\u0026amp;signature=a6e89726c8b8e1a1538a405cbb62f1e5b5fb3a327bb38dc5dc7ac1b740d2bad0\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/unblockedbrands/QG6AMyWUHQwPSq9P/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Passport API Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#367CFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.unblockedbrands.com/api-reference/passport--push-notifications/update-wallet-pass-notification\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/passport--push-notifications/update-wallet-pass-notification.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.unblockedbrands.com/#organization\",\"name\":\"Passport API Documentation\",\"url\":\"https://docs.unblockedbrands.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/unblockedbrands/gtu0hwK9wYwAN1IU/logo/light.svg?fit=max\u0026auto=format\u0026n=gtu0hwK9wYwAN1IU\u0026q=85\u0026s=fc2bc30f86e845dd67e4eca1fec434c6\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.unblockedbrands.com#website\",\"name\":\"Passport API Documentation\",\"url\":\"https://docs.unblockedbrands.com\",\"publisher\":{\"@id\":\"https://docs.unblockedbrands.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.unblockedbrands.com/api-reference/passport--push-notifications/update-wallet-pass-notification#webpage\",\"url\":\"https://docs.unblockedbrands.com/api-reference/passport--push-notifications/update-wallet-pass-notification\",\"name\":\"Update wallet pass notification\",\"description\":\"Update wallet pass notification. Only Draft or Scheduled notifications can be updated. Status Changes: - Change from Draft to Processing for immediate delivery - Change from Draft to Scheduled for future delivery - Update Scheduled notifications to change delivery time or content Scheduling Notes: - Scheduled notifications are processed every 15 minutes - Delivery may occur within 15 minutes of the scheduled time - Once a notification is Processing or Published, it cannot be updated\",\"dateModified\":\"2025-11-17T07:56:08.383Z\",\"isPartOf\":{\"@id\":\"https://docs.unblockedbrands.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.unblockedbrands.com/api-reference/passport--push-notifications/update-wallet-pass-notification#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.unblockedbrands.com/api-reference/passport--push-notifications/update-wallet-pass-notification#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Passport - Push Notifications\",\"item\":\"https://docs.unblockedbrands.com/api-reference/passport--push-notifications/search-and-filter-wallet-pass-notifications\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update wallet pass notification\",\"item\":\"https://docs.unblockedbrands.com/api-reference/passport--push-notifications/update-wallet-pass-notification\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.unblockedbrands.com/api-reference/passport--push-notifications/update-wallet-pass-notification#apireference\",\"headline\":\"Update wallet pass notification\",\"name\":\"Update wallet pass notification\",\"description\":\"Update wallet pass notification. Only Draft or Scheduled notifications can be updated. Status Changes: - Change from Draft to Processing for immediate delivery - Change from Draft to Scheduled for future delivery - Update Scheduled notifications to change delivery time or content Scheduling Notes: - Scheduled notifications are processed every 15 minutes - Delivery may occur within 15 minutes of the scheduled time - Once a notification is Processing or Published, it cannot be updated\",\"url\":\"https://docs.unblockedbrands.com/api-reference/passport--push-notifications/update-wallet-pass-notification\",\"mainEntityOfPage\":{\"@id\":\"https://docs.unblockedbrands.com/api-reference/passport--push-notifications/update-wallet-pass-notification#webpage\"},\"dateModified\":\"2025-11-17T07:56:08.383Z\",\"publisher\":{\"@id\":\"https://docs.unblockedbrands.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.unblockedbrands.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Passport API Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Passport API Documentation","nav":{"global":null,"tabs":[{"tab":"API Reference","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","icon":"book-open","href":"/api-reference/introduction"},{"title":"API keys","icon":"key","href":"/api-reference/api-keys"}]},{"group":"Pique","pages":[{"title":"Search and filter Pique Campaigns","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /pique-campaign","href":"/api-reference/pique/search-and-filter-pique-campaigns"},{"title":"Create Pique Campaign","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /pique-campaign","href":"/api-reference/pique/create-pique-campaign"},{"title":"Get Pique Campaign by ID","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /pique-campaign/{id}","href":"/api-reference/pique/get-pique-campaign-by-id"},{"title":"Update Pique Campaign","deprecated":null,"version":null,"openapi":"api-reference/openapi.json patch /pique-campaign/{id}","href":"/api-reference/pique/update-pique-campaign"},{"title":"Get Pique Campaign video performance data","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /pique-campaign/{id}/video-performance","href":"/api-reference/pique/get-pique-campaign-video-performance-data"}]},{"group":"Passport - Passes","pages":[{"title":"Search and filter Wallet Passes","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /wallet-pass","href":"/api-reference/passport--passes/search-and-filter-wallet-passes"},{"title":"Create a wallet pass","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /wallet-pass","href":"/api-reference/passport--passes/create-a-wallet-pass"},{"title":"Create a wallet pass asynchronously","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /wallet-pass/async","href":"/api-reference/passport--passes/create-a-wallet-pass-asynchronously"},{"title":"Get wallet pass","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /wallet-pass/{id}","href":"/api-reference/passport--passes/get-wallet-pass"},{"title":"Update Wallet Pass","deprecated":null,"version":null,"openapi":"api-reference/openapi.json patch /wallet-pass/{id}","href":"/api-reference/passport--passes/update-wallet-pass"}]},{"group":"Passport - Push Notifications","pages":[{"title":"Search and filter wallet pass notifications","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /wallet-pass/notifications","href":"/api-reference/passport--push-notifications/search-and-filter-wallet-pass-notifications"},{"title":"Create a notification for a wallet pass","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /wallet-pass/notifications","href":"/api-reference/passport--push-notifications/create-a-notification-for-a-wallet-pass"},{"title":"Get wallet pass notification by ID","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /wallet-pass/notifications/{id}","href":"/api-reference/passport--push-notifications/get-wallet-pass-notification-by-id"},{"title":"Delete wallet pass notification","description":"Delete wallet pass notification by ID. Only Draft or Scheduled notifications can be deleted.\n\n**Deletion Rules:**\n- `Draft` notifications can always be deleted\n- `Scheduled` notifications can be deleted before they are processed\n- `Processing`, `Published`, or `Failed` notifications cannot be deleted\n","deprecated":null,"version":null,"openapi":"api-reference/openapi.json delete /wallet-pass/notifications/{id}","href":"/api-reference/passport--push-notifications/delete-wallet-pass-notification"},{"title":"Update wallet pass notification","deprecated":null,"version":null,"openapi":"api-reference/openapi.json patch /wallet-pass/notifications/{id}","href":"/api-reference/passport--push-notifications/update-wallet-pass-notification"},{"title":"Get notification statistics","description":"Retrieve detailed statistics for a specific wallet pass notification including delivery metrics,\nclick tracking, and engagement data.\n\n**Statistics Include:**\n- Delivery status and timestamps\n- Click-through rates for notification links\n- User engagement metrics\n- Error tracking and failure reasons\n\n**Pagination:**\n- Use `cursor` parameter for next page navigation\n- `limit` controls page size (default: 20, max: 20)\n","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /wallet-pass/notifications/{id}/stats","href":"/api-reference/passport--push-notifications/get-notification-statistics"}]},{"group":"Passport - Locations","pages":[{"title":"Search and filter Wallet Pass Locations","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /wallet-pass-location","href":"/api-reference/passport--locations/search-and-filter-wallet-pass-locations"},{"title":"Create a wallet pass location","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /wallet-pass-location","href":"/api-reference/passport--locations/create-a-wallet-pass-location"},{"title":"Get a wallet pass location","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /wallet-pass-location/{locationId}","href":"/api-reference/passport--locations/get-a-wallet-pass-location"},{"title":"Update a wallet pass location","deprecated":null,"version":null,"openapi":"api-reference/openapi.json put /wallet-pass-location/{locationId}","href":"/api-reference/passport--locations/update-a-wallet-pass-location"},{"title":"Delete a wallet pass location","deprecated":null,"version":null,"openapi":"api-reference/openapi.json delete /wallet-pass-location/{locationId}","href":"/api-reference/passport--locations/delete-a-wallet-pass-location"}]},{"group":"Upload APIs","pages":[{"title":"Upload a file to the server","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /uploads","href":"/api-reference/upload-apis/upload-a-file-to-the-server"},{"title":"Upload a file to S3","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /uploads/s3","href":"/api-reference/upload-apis/upload-a-file-to-s3"},{"title":"Finalize the S3 copy operation","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /uploads/finalize/s3-copy","href":"/api-reference/upload-apis/finalize-the-s3-copy-operation"},{"title":"Get a pre-signed URL to upload a file to S3","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /uploads/s3-url","href":"/api-reference/upload-apis/get-a-pre-signed-url-to-upload-a-file-to-s3"}]}]}]},"title":"Update wallet pass notification - Passport API Documentation","buildId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","deploymentId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-26-lDe7V.js","utils-CWQmgYtH.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-4-Aw3rSD.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-C2zjXYA5.js","snippetPresets-DFmpFA7C.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-FJpQavWq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D_GvPF7k.js","shallow-Bs2ZB0NO.js","getApiPlaygroundDisplay-DCcqJJk-.js","CodeSnippet-DzDxawVe.js","CodeSnippets-aUr7fU-7.js","Page-CT9uE8Ip.js","getPastedJson-Y1fKsj_I.js","icon-DI4zTsDr.js","MethodPill-C0nDlmSQ.js","DuplicateIcon-NUXbx2nQ.js","createIcon-BdTHrPAi.js","DynamicMarkdown-CtpgKJwj.js","SectionHeading-B3x35tOt.js","axios-vUo_bRtp.js","Markdown-3OmurJMP.js","clsx-DMKzROTp.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-1ms6tsT-.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Ke9xIMFx.js"]}